=== ppom/reaction@v1.4.1/debian/changelog ===
reaction (1.4.0-1) stable; urgency=low

  * New upstream release.

 -- ppom <reaction@ppom.me>  Wed, 29 May 2024 11:37:16 +0000

reaction (1.3.1-1) stable; urgency=low

  * Initial release.

 -- ppom <reaction@ppom.me>  Sat, 06 Apr 2024 18:59:13 +0000
