=== ppom/reaction@v1.4.1/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -m755 reaction $$(pwd)/debian/reaction/usr/bin
	install -m755 nft46 $$(pwd)/debian/reaction/usr/sbin
	install -m755 ip46tables $$(pwd)/debian/reaction/usr/sbin
